Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986594 - Maven repo: Java plugin specified as a dependency with absolute systemPath
Summary: Maven repo: Java plugin specified as a dependency with absolute systemPath
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER04
: 6.1.0
Assignee: hfnukal@redhat.com
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-20 21:06 UTC by Miroslav Cupák
Modified: 2015-01-05 11:59 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-31 00:56:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Miroslav Cupák 2013-07-20 21:06:26 UTC
Description of problem:
The following dependency can be found in org/gatein/sso/sso-parent/1.3.3.Final-redhat-1/sso-parent-1.3.3.Final-redhat-1.pom.

<dependency>
  <groupId>java</groupId>
  <artifactId>plugin</artifactId>
  <version>1.5</version>
  <scope>system</scope>
  <systemPath>/usr/share/icedtea-web/plugin.jar</systemPath>
</dependency>

This causes problems with portability and raises errors when trying to construct the dependency tree on a machine without the plugin on the specified path.

Comment 2 hfnukal@redhat.com 2013-08-22 11:00:43 UTC
icedtea need to be installed on machine. This is requirement for SSO.

Assign to Marek, he can explain in more detail why it needs to be like that.

Comment 3 mposolda 2013-08-23 09:33:52 UTC
Artifact org.josso:josso-applet-agent:1.8.5 declares this system dependency:

<dependency>
  <groupId>java</groupId>
  <artifactId>plugin</artifactId>
  <version>1.5</version><systemPath>${JAVA_HOME}/jre/lib/plugin.jar</systemPath>
  <scope>system</scope>
</dependency>

This is not a problem for build with Oracle SDK as plugin.jar is available on the required path:
/home/mposolda/software/jdk1.6.0_32/jre/lib/plugin.jar
/home/mposolda/software/jdk1.7.0_05/jre/lib/plugin.jar 

However for productized build with OpenJDK it seems to be an issue because plugin.jar is not available in requested path as part of JDK but it's available as part of icedtea in /usr/share/icedtea-web/plugin.jar . So at this moment it seems that it's requirement for OpenJDK to have the file on the path /usr/share/icedtea-web/plugin.jar

Comment 4 hfnukal@redhat.com 2013-08-31 00:56:23 UTC
PRoductized build in mead requires icedtea. Thats why path needs to be overriden.


Note You need to log in before you can comment on or make changes to this bug.